Associate Dataset

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/securable
API call form
Examples

Datasets and dashboards are in the Luzmo API a type of securable . As such, the API calls to create, update, delete, ... datasets or dashboards are executed against the securable endpoint.

Properties relevant to one, may not be relevant to the other. Those will be null (e.g. contents is null for a dataset while for dashboards it is one of the most important properties as it holds the definition of screenmodes, charts, ...).

Associate a dataset to be able to share it or add other capabilities, check each association for more information.

There is one special default group called the 'Public' group. Associating dashboards/datasets with this group will make them available for sharing with private links. The links are private in the sense that you need to know a unique uuid in order to find the dashboard/dataset. Their 'published' property is only relevant for this group.

Request parametersResponse schema
id UUID

The unique identifier of the entity

name Multilingual string

Internationalized title of the dataset.

description Multilingual string

Internationalized description of the dataset.

subtitle Multilingual string

Internationalized subtitle of the dataset.

custom_metadata OBJECT

Custom metadata attached to this dataset. Must be a valid JSON object with a maximum size of 65536 bytes. Set to null to clear previously stored metadata.

subtype STRING
No description available
source_dataset STRING
No description available
source_sheet STRING
No description available
source_query STRING
No description available
transformation STRING
No description available
cache NUMBER

Number of seconds queries to this data connector are cached in Luzmo's caching layer. Defaults to 0. Use 0 to disable caching for this connector entirely. Note that queries might still not be cached if there are other uncached data connectors called in a query. You can invalidate the cache before the expiry time by calling the update method on the data endpoint.

update_metadata BOOLEAN

Virtual property is used to trigger manual update for dataset metadata.

meta_sync_interval NUMBER

Configure Metadata sync interval in hours for the dataset when meta_sync_inherit=false.

Default value:1
meta_sync_inherit BOOLEAN

Indicates whether automatic metadata sync inherited from the parent connection or the dataset

Default value:true
meta_sync_enabled BOOLEAN

Indicates whether automatic metadata sync is enabled for the dataset when meta_sync_inherit=false.

Default value:true
last_metadata_sync_at DATETIME

Last time metadata was synced was successful for the dataset.

Can be executed by:
Securable Owner
&
Organization Editor
(For: Users)
Securable Owner
&
Group Member
(For: Groups)
Securable Reader
&
Securable Reader
(For: favorites)
Securable Modifier
&
Organization Member
(For: Tags)
Securable Modifier
&
Securable Modifier
(For: Schedule)
Securable Reader
&
Entity Modifier
(For: Collections)
Securable Owner
&
Entity Modifier
(For: Integrations)
Securable Modifier
&
Securable Modifier
(For: Columns)
Securable Reader
&
Organization Owner
(For: EmbedFilterGroups)
Can be associated to:
Columns
Groups
Schedule
Users
favorites
Tags
Collections
Integrations
EmbedFilterGroups
Dashboards
Did this page help you?
Yes No
Language
Shell
Node
Java
.NET
Python
PHP
Base URL
https://api.luzmo.com/0.1.0/securable
Example Response
200
400
500
{
  "id": "f13df731-fff4-4b6b-b6e0-58a7d3956685",
  "type": "dataset",
  "subtype": "demodataplugin",
  "name": {
    "en": "Sales dataset",
    "nl": "Verkoopsgegevens",
    "fr": "Données de ventes"
  },
  "description": {
    "en": "Dataset with demo sales data.",
    "nl": "Dataset met demo verkoopsgegevens",
    "fr": "Dataset contenant des données de ventes"
  },
  "custom_metadata": {
    "owner": "ops",
    "nested": {
      "level": "L1"
    }
  },
  "subtitle": null,
  "contents": null,
  "css": null,
  "source_dataset": "8b7954e2-3664-4437-b8cb-4b05b6ddee91",
  "source_sheet": "sales_dataset",
  "source_query": null,
  "transformation": null,
  "rows": 102,
  "featured": false,
  "modified_at": "2023-09-14T15:36:26.338Z",
  "cache": 0,
  "storage": "client",
  "is_variant": false,
  "migrated_rows": null,
  "uses_clickhouse_experimental": false,
  "meta_sync_interval": 1,
  "meta_sync_inherit": true,
  "meta_sync_enabled": true,
  "last_metadata_sync_at": "2024-02-21T11:47:27.432Z",
  "last_metadata_sync_attempt_at": "2024-02-21T11:47:25.391Z",
  "created_at": "2023-09-14T15:36:26.338Z",
  "updated_at": "2024-02-21T11:47:27.431Z",
  "acceleration_id": null,
  "account_id": "8b7954e2-3664-4437-b8cb-4b05b6ddee91",
  "template_id": null,
  "original_id": null,
  "modifier_id": "8ad836a8-3547-4ed6-ba59-b445bfed05ed",
  "owner_id": "8ad836a8-3547-4ed6-ba59-b445bfed05ed",
  "source_template_id": null
}